Skip to content

Usage

All operations require authentication.

2 operationsv1/saas/csp2
Agent setup

Get usage statisticsAlpha

GET
/1.0/saas/csp2/{serviceName}/usageStatistics

Returns, for each day of the timePeriod (last week, month, quarter or year), the peak and end-of-day counts of activated licenses, by license.

Path parameters

serviceName
required
string

Service name

Query parameters

timePeriod
required
LicensePeriodEnum

The period to query

ValueslastMonthlastQuarterlastWeeklastYear

Response

200Statistics[]successful operation
date
stringdate

Date of the statistics.

lines
StatisticsLine[]

List of lines associated to this statistics entity.

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName}/usageStatistics \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "date": "2024-01-01", "lines": [ { "endOfDayCount": 0, "licenceId": 0, "licenceName": "string", "peakCount": 0 } ] }]

Get billing period peaksAlpha

GET
/1.0/saas/csp2/{serviceName}/billingPeriodPeaks

Returns the start and end dates of the current billing period and, for each license, the maximum count of simultaneously activated licenses.

Path parameters

serviceName
required
string

Service name

Response

200BillingStatisticssuccessful operation
endDate
stringdate

End of the billing period

lines
BillingStatisticsLine[]

List of lines associated to this statistics entity.

startDate
stringdate

Start of the billing period

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/saas/csp2/{serviceName}/billingPeriodPeaks \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "endDate": "2024-01-01", "lines": [ { "licenceId": 0, "licenceName": "string", "peakCount": 0 } ], "startDate": "2024-01-01"}